#include <iostream.h>
#include <stdio.h>
#include <fstream.h>
#include <string>
#include <vector>
#include "vectores.h"

int main (int argc, char * argv[]) 	
{
	ofstream usu("usu.gnu");		//archivo necesario para graficar los usuarios
	ofstream his("hist.gnu");		//archivo necesario para graficar el histograma
	int dia,tpo=0,contador=0,min=0;
	vectores datos;
	if((argc!=2))
	{
		cerr << "ERROR "<< "Sintaxis:  usom <lastfile> \n" << endl;
		return 1;
	}
	if(argc==2)
	{ 
		string linea;
		ifstream file;
		file.open(argv[1]);
		while(!file.eof())
		{
			getline(file,linea);			//lectura del archivo de entrada
			string logg=linea.substr(0,8);	//saca el loggin
			char arr[2];
			char ti[4];
			int dia1=linea[47]-'0', dia2=linea[48]-'0';		//ubicacion en el archivo de la fecha
			if((dia1>=0)&&(dia1<=9))
				dia=dia1*10+dia2;							
			else
				dia=dia2;
			int hora1=linea[66]-'0';			
			int hora2=linea[67]-'0';
			int hora3=linea[69]-'0';
			int hora4=linea[70]-'0';
			if((hora1>=0&&hora1<=9)&&(hora2>=0&&hora2<=9)&&(hora3>=0&&hora3<=9)&&(hora4>=0&&hora4<=9)&&(logg!="reboot  "))
			{
				int mins=(hora3*10+hora4)+((hora1*10+hora2)*60);		//paso de hora a minutos
				datos.add(item(logg , dia, contador, mins, tpo));
			}
			else
			{
				datos.add(item(logg , dia, contador, min, tpo));
			}
		}

		//Llenado del archivo para graficar usuarios por da

		usu<<"set title  \" Numero de ususarios por da\""<<endl;
		usu<<"set xlabel \" Dias \""<<endl;
		usu<<"set ylabel \"Numero de usuarios \""<<endl;
		usu<<"set xrange [0:31]"<<endl;
		usu<<"set xtics 0, 1"<<endl;
		usu<<"set ytics 0, 10"<<endl;
		usu<<"set grid"<<endl;
		usu<<"plot \"dia.poo\" using 1:2 title \" Numero de ususarios por da\" with line 1"<<endl;
		usu<<"pause -1"<<endl;
		
		//Llenado del archivo para graficar Histograma

		his<<"set title  \" Histograma de Tiempo de Sesion\""<<endl;
		his<<"set xlabel \" Tiempo de Sesin (promedio) [minutos] \""<<endl;
		his<<"set ylabel \"N de Usuarios \""<<endl;
		//his<<"set xrange [0:420]"<<endl;
		his<<"set xtics 10, 20"<<endl;
		his<<"set ytics 0, 100"<<endl;
		his<<"set grid"<<endl;
		his<<"plot \"hist.poo\" using 1:2 title \"Tiempo de Sesin promedio\" with boxes 3"<<endl;
		his<<"pause -1"<<endl;

		//Llamado a las funciones para lo pedido en la tarea

		datos.usuarios();
		datos.histograma();	
		datos.mas_larga();
		datos.mas_total();
		datos.mas_login();
		
	}
}

